# Copyright (C) 2021 Stephan Kreutzer
#
# This file is part of xml_to_dimgra_1, a submodule of the
# digital_publishing_workflow_tools package.
#
# xml_to_dimgra_1 is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License version 3 or any later version,
# as published by the Free Software Foundation.
#
# xml_to_dimgra_1 is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License 3 for more details.
#
# You should have received a copy of the GNU Affero General Public License 3
# along with xml_to_dimgra_1. If not, see <http://www.gnu.org/licenses/>.

messageArgumentsMissingUsage = Usage:
messageParameterList = job-file result-info-file
messageResultInfoFileCantGetCanonicalPath = Can''t get canonical path of result information file "{0}".
messageResultInfoPathIsntAFile = Result information path "{0}" isn''t a file.
messageResultInfoFileIsntWritable = Result information file "{0}" isn''t writable.
messageCantDetermineProgramPath = Can''t determine program path.
messageJobFileCantGetCanonicalPath = Can''t get canonical path of the job file "{0}".
messageJobFileDoesntExist = Job file "{0}" doesn''t exist.
messageJobPathIsntAFile = Job path "{0}" exists, but isn''t a file.
messageJobFileIsntReadable = Job file "{0}" isn''t readable.
messageCallDetails = Called with job file "{0}" and result information file "{1}".
messageJobFileEntryIsMissingAnAttribute = Element "{1}" in job file "{0}" is missing its "{2}" attribute.
messageJobFileElementConfiguredMoreThanOnce = Element "{1}" configured more than once in job file "{0}".
messageInputFileCantGetCanonicalPath = Can''t get canonical path of the input file "{0}" as specified in job file "{1}".
messageInputFileDoesntExist = Input file "{0}" as specified in job file "{1}" doesn''t exist.
messageInputPathIsntAFile = Input path "{0}" as specified in job file "{1}" exists, but isn''t a file.
messageInputFileIsntReadable = Input file "{0}" as specified in job file "{1}" isn''t readable.
messageOutputFileCantGetCanonicalPath = Can''t get canonical path of the output file "{0}" as specified in job file "{1}".
messageOutputFileExistsButIsntWritable = Output file "{0}" as specified in job file "{1}" does exist, but isn''t writable.
messageOutputPathExistsButIsntAFile = Output path "{0}" as specified in job file "{1}" exists, but isn''t a file.
messageTempDirectoryCantGetCanonicalPath = Can''t get canonical path of temp directory "{0}".
messageJobFileEntryAttributeNotSupported = Attribute "{1}" of element "{0}" has non-supported value "{2}", but the expected value is "{3}".
messageJobFileInnerSelectionMasterConfiguredMoreThanOnce = Master inner selection configured more than once with value "{3}" for attribute "{2}" of element "{1}" in job file "{0}".
messageJobFileInnerSelectionPathConfiguredMoreThanOnce = Inner selection path "{1}" configured more than once in job file "{0}".
messageJobFileErrorWhileReading = An error occurred while reading job file "{0}".
messageJobFileInputFileIsntConfigured = There is no input file configured in job file "{0}" per element "{1}".
messageJobFileOutputFileIsntConfigured = There is no output file configured in job file "{0}" per element "{1}".
messageJobFileOuterContainerIsntConfigured = There is no outer container path configured in job file "{0}" per element "{1}".
messageJobFileNoInnerSelectionConfigured = There is no inner selection paths configured in job file "{0}" per element "{1}".
messageJobFileNoInnerSelectionMasterConfigured = Of the inner selections, no master was configured in job file "{0}" per element "{1}".
messageTempDirectoryIsntWritable = Temporary directory "{0}" isn''t writable.
messageTempPathIsntADirectory = Temporary path "{0}" isn''t a directory.
messageTempDirectoryCantCreate = Can''t create temporary directory "{0}".
messageInputFileNestedDimension = The dimension "{1}" as configured for an inner selection was found nested within a dimension of another inner selection in input file "{0}".
messageStructureStackIsEmptyInEndElement = Structure stack is empty in end element.
messageInputFileOuterContainerWithoutEdgeToMasterDimension = Outer container "{0}" found without inner selection master dimension "{1}".
messageInputFileInnerSelectionDimensionDuplicate = Inner selection has duplicate edge with ID "{0}".
messageInputFileInnerSelectionNotFoundInStructureDefinition = In inner selection, but its path "{0}" not found in the structure definition.
messageInputFileErrorWhileReading = An error occurred while reading input file "{0}".
messageOutputFileErrorWhileWriting = An error occurred while writing output file "{0}".
